VDPAU: VdpPictureInfoMPEG1Or2 Struct Reference

VDPAU

Data Fields
VdpPictureInfoMPEG1Or2 Struct Reference
Core API » VdpDecoder; Video Decoding object

Picture parameter information for an MPEG 1 or MPEG 2 picture. More...

`#include <vdpau.h>`

## Data Fields
VdpVideoSurface | forward_reference
VdpVideoSurface | backward_reference
uint32_t | slice_count
MPEG bitstream
Copies of the MPEG bitstream fields.
uint8_t | picture_structure
uint8_t | picture_coding_type
uint8_t | intra_dc_precision
uint8_t | frame_pred_frame_dct
uint8_t | concealment_motion_vectors
uint8_t | intra_vlc_format
uint8_t | alternate_scan
uint8_t | q_scale_type
uint8_t | top_field_first
uint8_t | full_pel_forward_vector
uint8_t | full_pel_backward_vector
uint8_t | f_code [2][2]
uint8_t | intra_quantizer_matrix [64]
uint8_t | non_intra_quantizer_matrix [64]

## Detailed Description

Picture parameter information for an MPEG 1 or MPEG 2 picture.

Note: References to bitstream fields below may refer to data literally parsed from the bitstream, or derived from the bitstream using a mechanism described in the specification.

## Field Documentation

## ◆ alternate_scan

uint8_t VdpPictureInfoMPEG1Or2::alternate_scan

## ◆ backward_reference

VdpVideoSurface VdpPictureInfoMPEG1Or2::backward_reference

Reference used by B frames. Set to VDP_INVALID_HANDLE when not used.

## ◆ concealment_motion_vectors

uint8_t VdpPictureInfoMPEG1Or2::concealment_motion_vectors

## ◆ f_code

uint8_t VdpPictureInfoMPEG1Or2::f_code[2][2]

For MPEG-1, fill both horizontal and vertical entries.

## ◆ forward_reference

VdpVideoSurface VdpPictureInfoMPEG1Or2::forward_reference

Reference used by B and P frames. Set to VDP_INVALID_HANDLE when not used.

## ◆ frame_pred_frame_dct

uint8_t VdpPictureInfoMPEG1Or2::frame_pred_frame_dct

## ◆ full_pel_backward_vector

uint8_t VdpPictureInfoMPEG1Or2::full_pel_backward_vector

MPEG-1 only. For MPEG-2, set to 0.

## ◆ full_pel_forward_vector

uint8_t VdpPictureInfoMPEG1Or2::full_pel_forward_vector

MPEG-1 only. For MPEG-2, set to 0.

## ◆ intra_dc_precision

uint8_t VdpPictureInfoMPEG1Or2::intra_dc_precision

## ◆ intra_quantizer_matrix

uint8_t VdpPictureInfoMPEG1Or2::intra_quantizer_matrix[64]

Convert to raster order.

## ◆ intra_vlc_format

uint8_t VdpPictureInfoMPEG1Or2::intra_vlc_format

## ◆ non_intra_quantizer_matrix

uint8_t VdpPictureInfoMPEG1Or2::non_intra_quantizer_matrix[64]

Convert to raster order.

## ◆ picture_coding_type

uint8_t VdpPictureInfoMPEG1Or2::picture_coding_type

## ◆ picture_structure

uint8_t VdpPictureInfoMPEG1Or2::picture_structure

## ◆ q_scale_type

uint8_t VdpPictureInfoMPEG1Or2::q_scale_type

## ◆ slice_count

uint32_t VdpPictureInfoMPEG1Or2::slice_count

Number of slices in the bitstream provided.

## ◆ top_field_first

uint8_t VdpPictureInfoMPEG1Or2::top_field_first

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h